//加载Select
function loadSelect(url,selectId1,selectId2){
    if($('#'+selectId1).find("option").length == 0){
        $.get(url,false,function(data){
            appendSelect(selectId1,data,1);
            if(selectId2 != ''){
                appendSelect(selectId2,data,1);
            }
        },'json');
    }
}

//封装拼接下拉框的方法
//selectId:下拉框id,data:返回json数据，allFlag:1默认第一个空的选项
function appendSelect(selectId,data,allFlag){
    $("#"+selectId).empty();
    if(data != '' && data != null){
        var html = '';
        if(allFlag == 1){
            html = '<option value="">请选择</option>';
        }
        for (var i = 0; i < data.length; i++) {
            html += '<option value="'+data[i].value+'">'+data[i].name+'</option>';
        }
        $("#"+selectId).append(html);
    }
}

//监听回车立即搜索
//键盘回车查询
$(document).keyup(function(event){
    if(event.keyCode ==13){
        $("#searchBtn").trigger("click");
    }
});



